<html>
<head>
<title>Ogre::D3D11Device::ThreadInfo Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1D3D11Device.html">D3D11Device</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1D3D11Device_1_1ThreadInfo.html">ThreadInfo</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::D3D11Device::ThreadInfo Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::D3D11Device::ThreadInfo" -->
<p><a href="structOgre_1_1D3D11Device_1_1ThreadInfo-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D11Device_1_1ThreadInfo.html#acbf149d44a2f5a2295e0de27c05eb3f8">ThreadInfo</a> (ID3D11DeviceContext *context)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D11Device_1_1ThreadInfo.html#a46a028645e751ca856f516276529de4c">~ThreadInfo</a> ()</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">ID3D11DeviceContext *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D11Device_1_1ThreadInfo.html#a11ee902ec830c6d518075fa5e107af67">mContext</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D11Device_1_1ThreadInfo.html#a3658ef1a084d92680086aba8298593bb">mEventHandle</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreD3D11Device_8h_source.html#l00043">43</a> of file <a class="el" href="OgreD3D11Device_8h_source.html">OgreD3D11Device.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="acbf149d44a2f5a2295e0de27c05eb3f8"></a><!-- doxytag: member="Ogre::D3D11Device::ThreadInfo::ThreadInfo" ref="acbf149d44a2f5a2295e0de27c05eb3f8" args="(ID3D11DeviceContext *context)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1D3D11Device_1_1ThreadInfo.html#acbf149d44a2f5a2295e0de27c05eb3f8">Ogre::D3D11Device::ThreadInfo::ThreadInfo</a> </td>
          <td>(</td>
          <td class="paramtype">ID3D11DeviceContext *&#160;</td>
          <td class="paramname"><em>context</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11Device_8h_source.html#l00048">48</a> of file <a class="el" href="OgreD3D11Device_8h_source.html">OgreD3D11Device.h</a>.</p>

<p>References <a class="el" href="OgreD3D11Device_8h_source.html#l00046">mEventHandle</a>.</p>

</div>
</div>
<a class="anchor" id="a46a028645e751ca856f516276529de4c"></a><!-- doxytag: member="Ogre::D3D11Device::ThreadInfo::~ThreadInfo" ref="a46a028645e751ca856f516276529de4c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1D3D11Device_1_1ThreadInfo.html#a46a028645e751ca856f516276529de4c">Ogre::D3D11Device::ThreadInfo::~ThreadInfo</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11Device_8h_source.html#l00055">55</a> of file <a class="el" href="OgreD3D11Device_8h_source.html">OgreD3D11Device.h</a>.</p>

<p>References <a class="el" href="OgreD3D11Device_8h_source.html#l00045">mContext</a>, and <a class="el" href="OgreD3D11Device_8h_source.html#l00046">mEventHandle</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a11ee902ec830c6d518075fa5e107af67"></a><!-- doxytag: member="Ogre::D3D11Device::ThreadInfo::mContext" ref="a11ee902ec830c6d518075fa5e107af67" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ID3D11DeviceContext* <a class="el" href="structOgre_1_1D3D11Device_1_1ThreadInfo.html#a11ee902ec830c6d518075fa5e107af67">Ogre::D3D11Device::ThreadInfo::mContext</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11Device_8h_source.html#l00045">45</a> of file <a class="el" href="OgreD3D11Device_8h_source.html">OgreD3D11Device.h</a>.</p>

<p>Referenced by <a class="el" href="OgreD3D11Device_8h_source.html#l00055">~ThreadInfo()</a>.</p>

</div>
</div>
<a class="anchor" id="a3658ef1a084d92680086aba8298593bb"></a><!-- doxytag: member="Ogre::D3D11Device::ThreadInfo::mEventHandle" ref="a3658ef1a084d92680086aba8298593bb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="structOgre_1_1D3D11Device_1_1ThreadInfo.html#a3658ef1a084d92680086aba8298593bb">Ogre::D3D11Device::ThreadInfo::mEventHandle</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11Device_8h_source.html#l00046">46</a> of file <a class="el" href="OgreD3D11Device_8h_source.html">OgreD3D11Device.h</a>.</p>

<p>Referenced by <a class="el" href="OgreD3D11Device_8h_source.html#l00048">ThreadInfo()</a>, and <a class="el" href="OgreD3D11Device_8h_source.html#l00055">~ThreadInfo()</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreD3D11Device_8h_source.html">OgreD3D11Device.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:12
</p>
</body>
</html>
